• Getting Started
  • Authentication and Security
  • Scopes
  • Accessing the APIs
  • Going Live
  • Our APIs
  • API Versioning
  • Environment
  • Statistics

Getting Started

GarantiBank International N.V. (GBI) provides a sandbox environment for developers who want to develop applications using the GBI APIs. To use the sandbox environment, we ask you to register. After registration you will be send the required personal information you need to use our APIs, this will at least include the following:

  1. Consumer key
  2. Consumer secret
  3. The URL to be used for the sandbox environment
  4. A test certificate you need to use to connect to our test environment.

Authentication and Security

The use of the APIs requires an OAuth2 access token. To obtain an access token for an API you need the provided consumer key and consumer secret. GBI currently only provides the OAuth2 client_credentials grant.

Getting an access token
To get an access token you need to

  • use a grant type client_credentials
  • base64 encode the string consumer-key+”:”+consumer-secret
  • put it in the authorization header of the request.

curl -k -d "grant_type=client_credentials" \
    -H Authorization: Basic Base64(consumer-key:consumer-secret)" \
    https://test-api.garantibank.eu/token

Example
curl -k -d "grant_type=client_credentials" -H "Authorization: Basic ZFNhajNPUUppdXl5YVNXbHVqUmFPUDVGMzFvYTpSUGV5OWRNbWg1eXRvalBuc2pxSXFyTnpFazRh" https://test-api.garantibank.eu/token

The response is a JSON payload with the access-token similar to below output:
{
   "access_token":"3abcf240-98c7-3219-902c-b9cf1a67dfc",
   "scope":"am_application_scope default",
   "token_type":"Bearer",
   "expires_in":9223372036854775
}

Scopes

Some resources in the APIs may require a certain scope. For these resources a special scope token needs to be generated. This can be achieved using a similar request as for a generic token with one addition, the scope parameter. Below is an example of a token request for the accounts scope.

Example
curl -d "grant_type=client_credentials&scope=accounts" \
   -H "Authorization: Basic ZFNhajNPUUppdXl5YVNXbHVqUmFPUDVGMzFvYTpSUGV5OWRNbWg1eXRvalBuc2pxSXFyTnpFazRh"
   https://test-api.garantibank.eu/token


The response will look similar to below output:
{
   "access_token":"3abcf240-98c7-3219-902c-b9cf1a67dfc",
   "scope":"accounts am_application_scope default",
   "token_type":"Bearer",
   "expires_in":9223372036854775
}

If you are not authorized for a certain scope you will receive a 403 response.

Accessing the APIs

To access an API, pass the access token obtained via the token request and the bearer type in the authorization header of the request.

Example
curl -H "Authorization: Bearer 3abcf240-98c7-3219-902c-b9cf1a67dfc" \
   –H "X-Request-ID: b573ea1e-9985-4daf-adbb-60ba6db7f19d" \
   –H "Consent-ID: 47976804-6ea0-4a82-ab82-3115e0ad3a50" \
   https://test-api.garantibank.eu/psd2/v1/accounts

Going Live

Before you can access to our production APIs, you need to meet some additional requirements:

  • First you need to register as a TPP and obtain a license from a NCA (National Competent Authority)
  • You need to obtain an eIDAS QWAC certificate from a QTSP (Qualified Trust Service Provider) and share the certificate with GBI. GBI requires this certificate to ensure a secure and trusted connection (Mutual/2-way SSL) between you and GBI. The certificate must contain a valid TPP identifier.
  • If you have the license and the certificate, you need to apply for using the production APIs of GBI.
  • You can fill a request on behalf of your organization to access PIS, AIS and CAF APIs of GBI. Please visit Support section to access to the request form.
  • GBI will provide you a new consumer key and consumer secret as well as the production endpoint(s) of our APIs.
  • When GBI has verified your TPP status and the secure communication channel between GBI and you have been setup, you can start consuming our production APIs.
Please be aware this process is not automated and may take some time to complete.

Our APIs

This documentation section is not complete and serves merely to get you started with GBI APIs. Please consult the API documentation on which parameters are required for which resource.

For Account Information Services, please click here.

For Payment Initiation Services, please click here.

For Consent for Funds Confirmation Service, please click here.

API Versioning

API version number is included into the URL: https://test-api.garantibank.eu/psd2/v1/accounts
The specification of new version will be published in this Developer Portal 3 months before the release.

Environment

Sandbox: https://test-api.garantibank.eu
Production: https://api.garantibank.eu

Statistics

"Availability of the Interfaces" statistics can be reached via the following links:

As in these quarters there is no traffic in the production API interface, there will be no API response times & error rates figures.